
Foreman - Feature #3658

Foreman should support Chef-enabled smart proxies

11/15/2013 08:16 AM - Romain Vrignaud

Status: Closed   

Priority: Normal   

Assignee: Romain Vrignaud   

Category: Smart Proxy   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This feature add a chefproxy feature on smart-proxy.

It allows proxying for both facts (from Ohai) and reports (https://github.com/theforeman/chef-handler-foreman).

Smart-proxy is able to use chef-server api in order to check reports / facts signatures with chef-client private key.

Related to :

https://github.com/theforeman/smart-proxy/pull/112

https://github.com/theforeman/chef-handler-foreman/pull/4

https://github.com/theforeman/foreman/pull/983

Related issues:

Related to Foreman - Feature #3339: Support for nested facts and specialised ... Closed 10/17/2013

Copied to Smart Proxy - Feature #3699: Smart-proxy should support proxying fr... Closed 11/15/2013

Associated revisions

Revision bb8da765 - 01/07/2014 10:23 AM - Romain Vrignaud

fixes #3658 - support smart proxy's chef proxy feature

History

#1 - 11/20/2013 11:12 AM - Dominic Cleal

- Copied to Feature #3699: Smart-proxy should support proxying from chef-client to foreman added

#2 - 11/20/2013 11:15 AM - Dominic Cleal

- Related to Feature #3339: Support for nested facts and specialised plugins added

#3 - 11/28/2013 04:50 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- translation missing: en.field_release set to 2

https://github.com/theforeman/foreman/pull/983 still open

#4 - 12/04/2013 01:11 PM - Dominic Cleal

- Target version changed from 1.10.0 to 1.9.3

#5 - 12/16/2013 03:55 PM - Dominic Cleal

- Subject changed from Smart-proxy should support proxying from chef-client to foreman to Foreman should support Chef-enabled smart proxies

#6 - 01/07/2014 11:31 AM - Romain Vrignaud

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset bb8da765aba548c1de2b269056354905c7728070.
